% visSeam(img, s, t, k)
%
%   visSeam(img, s, t, k) shows the image with the seam that is going to be
%   removed. img is the image to show, s is the seam, t dives the direction
%   in which the resizing is to be performed, k is the iteration.
%
%   Luigi Cardamone - cardamoneluigi@hotmail.com
%   Pamela Gotti - pamela.gotti@gmail.com

function visSeam(img, s, t, k)

%for j=1:size(img,1)
%    img(j,s(j),:)=0; %drawing the seam
%end
if t==1 %if resize is on height, the image has to be tranposed
    img2(:,:,1)=img(:,:,1)';
    img2(:,:,2)=img(:,:,2)';
    img2(:,:,3)=img(:,:,3)';
    clear img;
    img=img2;
    figure(2);imshow(img);
    hold on;
    plot(1:size(s), s,'b');
else
    figure(2);imshow(img);
    hold on;
    plot(s, 1:size(s),'b');
end
if k==1
    title('1st iteration.');
else if k==2 
        title('2nd iteration.');
    else
        title([num2str(k),'th iteration']);
    end
end                
drawnow;hold off;
pause(0.5);